"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _path = _interopRequireDefault(require("path"));

var _isFile = _interopRequireDefault(require("jinghuan-helper/isFile"));

var _utils = _interopRequireDefault(require("../../utils"));

var _debug = _interopRequireDefault(require("debug"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

let allowExtends = ['jinghuan', 'jinghuanjs', 'application', 'context', 'controller'];

function load(loadPath) {
  let ret = {};
  allowExtends.forEach(type => {
    try {
      const filepath = _utils.default.requireResolve(_path.default.join(loadPath, `extend/${type}`));

      if (!filepath) {
        return;
      }

      ret[type] = require(filepath);
    } catch (e) {
      console.error(e);
    }
  });
  return ret;
}

var _default = load;
exports.default = _default;
module.exports = exports.default;